{-# LANGUAGE TemplateHaskell #-}
module Main where

import Types (Dependency)
import DependencyGenerator (evalDepGenM)
import SiteGenerator (generateSite)

import Language.Haskell.TH.Syntax (lift)

dependencies :: [Dependency]
dependencies = $(lift (evalDepGenM generateSite))

main :: IO ()
main = mapM_ print dependencies
